For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList Project
      • POSTCreate Project
      • GETGet Project
      • POSTUpdate Project
      • DELDelete Project
      • GETGet Project Config
      • POSTSet Project Config
      • POSTUpdate Project Avatar
      • GETIAM - List Project Members
      • GETIAM - Lookup Project Member
      • POSTIAM - Update Project Member
      • POSTIAM - Test Project Permissions
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceProjects

IAM - List Project Members

GET
/org/:org_id/project/:project_id/iam/members
GET
/api/v1/org/:org_id/project/:project_id/iam/members
$curl https://app.rightbrain.ai/api/v1/org/org_id/project/project_id/iam/members \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "member": "string",
5 "roles": [
6 "string"
7 ],
8 "name": "string",
9 "avatar_url": "string",
10 "total_subjects": 1
11 }
12 ],
13 "pagination": {
14 "next_cursor": "019097c5-5560-05b5-4a48-5197a269683b",
15 "has_next": true,
16 "page_limit": 100
17 }
18}
Lists all members that have been granted direct access to the project.
Was this page helpful?
Previous

IAM - Lookup Project Member

Next
Built with

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

project_idstringRequiredformat: "uuid"
org_idstringRequiredformat: "uuid"
The org id

Query parameters

typeenumOptional
Allowed values:

Response

Successful Response
resultslist of objects
The list of items returned for the current page.
paginationobject or null
Contains pagination information for the result set.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error